Subject: Re: linux-next: build failure after merge of the vfs-brauner tree

From: Andrew Morton <[email-masked]>
Date: Wed, 20 Aug 2025 16:16:52 -0700

On Thu, 21 Aug 2025 08:54:41 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi Christian,
> > >       |                                    ^~~~~~~~~~~~~~~~~~
> > >       |                                    is_zero_folio
> > > 
> > > Caused by commit
> > > 
> > >   5589673e8d8d ("iomap: use largest_zero_folio() in iomap_dio_zero()")
> > > 
> > > I have used the vfs-brauner tree from next-20250815 for today.  
> > 
> > I am still getting this failure.
> 
> The above commit is still in your tree which makes it unbuildable since
> the interface it uses does not exist in your tree (are you testing it?).
> 

How about we keep life simple and just carry the patch in both trees. 
Christian, I'll send a copy of the mm.git patch at you.